org.eclipse.microprofile.fault.tolerance.tck.asynchronous

## Class AsyncCancellationClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.asynchronous.AsyncCancellationClient

    @RequestScoped
    public class AsyncCancellationClient
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AsyncCancellationClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getServiceAsyncRetryAttempts()`
`Future<?>` `serviceAsync(Barrier barrier, AtomicBoolean wasInterrupted)`
`Future<?>` `serviceAsyncBulkhead(Barrier barrier)`
`Future<?>` `serviceAsyncRetry(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncCancellationClient

    public AsyncCancellationClient()

### Method Detail

#### serviceAsync

    @Asynchronous
    public Future<?> serviceAsync(Barrier barrier,
                                                AtomicBoolean wasInterrupted)

#### serviceAsyncRetry

    @Asynchronous
     @Retry(maxRetries=5,
           delay=0L,
           jitter=0L)
    public Future<?> serviceAsyncRetry(Barrier barrier)
                                                                                                       throws InterruptedException

Throws:
  `InterruptedException`

#### getServiceAsyncRetryAttempts

    public int getServiceAsyncRetryAttempts()

#### serviceAsyncBulkhead

    @Asynchronous
     @Bulkhead(value=1,
              waitingTaskQueue=1)
    public Future<?> serviceAsyncBulkhead(Barrier barrier)